import React, { useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

const width = 960;
const height = 500;
const csvUrl = 'https://gist.githubusercontent.com/manasishrotri/4e43a48d4a8c89f011dbf18b7de28190/raw/covidWorldMayData.csv';
const message = data => {

        let message = 'COVID MAY 2020:\n';
        message = message + Math.round(d3.csvFormat(data).length / 1024) + ' kB\n';
        message = message + data.length + ' rows\n';
        message = message + data.columns.length + ' columns';
				return message
      };


const App = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
      csv(csvUrl).then(data => {
        setData(data);
  },[]);

    });
  
  return <pre>Data is {data ? message(data): 'Loading..'}</pre>
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);